Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Kacper Kowalik" <xarthisius@g.o>
Subject: dev/xarthisius:master commit in: dev-python/astropy/files/, dev-python/astropy/
Date: Tue, 19 Jun 2012 11:06:24 +0000 (UTC)
commit:     d8586233dc80725e9fa66dba3cbadf5263937f18
Author:     Kacper Kowalik (Xarthisius) <xarthisius.kk <AT> gmail <DOT> com>
AuthorDate: Tue Jun 19 11:06:57 2012 +0000
Commit:     Kacper Kowalik <xarthisius <AT> gentoo <DOT> org>
CommitDate: Tue Jun 19 11:06:57 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/xarthisius.git;a=commit;h=d8586233

[dev-python/astropy] intial import

---
 dev-python/astropy/Manifest                      |    3 +
 dev-python/astropy/astropy-0.1.ebuild            |   48 ++++++++++++++++++++++
 dev-python/astropy/files/astropy-0.1-expat.patch |   33 +++++++++++++++
 3 files changed, 84 insertions(+), 0 deletions(-)

diff --git a/dev-python/astropy/Manifest b/dev-python/astropy/Manifest
new file mode 100644
index 0000000..abf3ef0
--- /dev/null
+++ b/dev-python/astropy/Manifest
@@ -0,0 +1,3 @@
+AUX astropy-0.1-expat.patch 1108 RMD160 354afe0606a1637764a166d385b56fa826560a4b SHA1 ac7adaa80af462436a9df31ea5bab4a8739f1b7d SHA256 9e929cfaa1ebd2d0f82d185dd7f72924f21f655105ccd843f620143654bf4ab0
+DIST astropy-0.1.tar.gz 3109566 RMD160 9dc3fc390d3eb15a6e5997e0f6703bef046a2cdd SHA1 89e483a021f94a3e9807a737f8bb3aee93af5a60 SHA256 205f4576b6267a362d96f7b9e913e1f21efd3d7c58b9d58ebc0d2ed69382c540
+EBUILD astropy-0.1.ebuild 1121 RMD160 c47d6ef51b24e3b0aa1458383bfcd36aba2a5ea4 SHA1 e3cd30939941ecb9014fb13f228aa93cb8183c75 SHA256 f8fafc56d29c7077672425b5895c5ca776e31a3c47910f7280f5a0ff7520df70

diff --git a/dev-python/astropy/astropy-0.1.ebuild b/dev-python/astropy/astropy-0.1.ebuild
new file mode 100644
index 0000000..9356fe1
--- /dev/null
+++ b/dev-python/astropy/astropy-0.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+SUPPORT_PYTHON_ABIS="1"
+DISTUTILS_SRC_TEST=setup.py
+
+inherit eutils distutils
+
+DESCRIPTION="Collection of common tools needed for performing astronomy and astrophysics"
+HOMEPAGE="http://astropy.org/ https://github.com/astropy/astropy"
+SRC_URI="http://github.com/downloads/${PN}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+RDEPEND="dev-libs/expat
+	dev-python/numpy"
+DEPEND="${RDEPEND}
+	dev-python/configobj
+	doc? ( dev-python/sphinx )
+	test? ( dev-python/pytest )"
+
+src_prepare() {
+	# Upstream likes to bundle everythin
+	rm -rf cextern ${PN}/extern
+	export ASTROPY_USE_SYSTEM_PYTEST=1
+	epatch "${FILESDIR}"/${P}-expat.patch
+	sed -e 's/from ..extern.configobj //g' \
+		-i astropy/config/configuration.py || die
+	distutils_src_prepare
+}
+
+src_compile() {
+	distutils_src_compile
+	if use doc; then
+		PYTHONPATH=$(ls -d "${S}"/build-$(PYTHON -f --ABI)/lib*) emake html -C docs
+	fi
+}
+
+src_install() {
+	distutils_src_install
+	use doc && dohtml -r docs/_build/html/
+}

diff --git a/dev-python/astropy/files/astropy-0.1-expat.patch b/dev-python/astropy/files/astropy-0.1-expat.patch
new file mode 100644
index 0000000..5bc1b29
--- /dev/null
+++ b/dev-python/astropy/files/astropy-0.1-expat.patch
@@ -0,0 +1,33 @@
+--- astropy/utils/xml/setup_package.py.orig	2012-06-18 07:48:04.000000000 +0200
++++ astropy/utils/xml/setup_package.py	2012-06-19 12:43:29.685002916 +0200
+@@ -4,7 +4,6 @@
+ 
+ 
+ def get_extensions(build_type='release'):
+-    EXPAT_DIR = 'cextern/expat/lib'
+     XML_DIR = 'astropy/utils/xml/src'
+ 
+     defines = [("HAVE_EXPAT_CONFIG_H", 1)]
+@@ -21,18 +20,14 @@
+         # place of ours.
+         extra_link_args = [
+             '-Wl,--version-script={0}'.format(
+-                join(XML_DIR, 'iterparse.map'))
+-            ]
++                join(XML_DIR, 'iterparse.map')),
++            '-lexpat']
+     else:
+         extra_link_args = []
+ 
+     return [Extension(
+         "astropy.utils.xml._iterparser",
+-        [join(XML_DIR, "iterparse.c"),
+-         join(EXPAT_DIR, "xmlparse.c"),
+-         join(EXPAT_DIR, "xmlrole.c"),
+-         join(EXPAT_DIR, "xmltok.c"),
+-         join(EXPAT_DIR, "xmltok_impl.c")],
++        [join(XML_DIR, "iterparse.c")],
+         define_macros=defines,
+-        include_dirs=[XML_DIR, EXPAT_DIR],
++        include_dirs=[XML_DIR],
+         extra_link_args=extra_link_args)]


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-i18n/dbskkd-cdb/files: dbskkd-cdb-2.00-gentoo.patch
Next by thread:
gentoo-x86 commit in net-im/gajim: ChangeLog gajim-0.14.4-r2.ebuild gajim-0.14.4-r1.ebuild gajim-0.14.1-r2.ebuild
Previous by date:
gentoo-x86 commit in app-i18n/dbskkd-cdb/files: dbskkd-cdb-2.00-gentoo.patch
Next by date:
gentoo-x86 commit in dev-util/desktop-file-utils: ChangeLog desktop-file-utils-0.19.ebuild


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.